// Copyright (C) 2000, Luca Padovani <luca.padovani@cs.unibo.it>.
// 
// This file is part of GtkMathView, a Gtk widget for MathML.
// 
// GtkMathView is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// GtkMathView is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with GtkMathView; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// 
// For details, see the GtkMathView World-Wide-Web page,
// http://cs.unibo.it/~lpadovan/mml-widget, or send a mail to
// <luca.padovani@cs.unibo.it>

#ifndef Font_hh
#define Font_hh

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gdk/gdk.h>

#include "GUI.hh"
#include "String.hh"
#include "BoundingBox.hh"

class Font {
public:
  Font(NativeFontPtr);
  Font(const Font&);
  ~Font();

  scaled CharWidth(NativeChar) const;
  scaled CharHeight(NativeChar) const;
  scaled GetAscent(void) const;
  scaled GetDescent(void) const;
  scaled GetSize(void) const { return GetAscent() + GetDescent(); }
  scaled GetEm(void) const;
  scaled GetEx(void) const;
  scaled GetAxis(void) const;
  void   CharBox(char, BoundingBox&) const;
  void   CharBox(NativeChar, BoundingBox&) const;
  void   StringBox(const char*, unsigned, BoundingBox&) const;
  void   StringBox(const NativeChar*, unsigned, BoundingBox&) const;

  NativeFontPtr GetNativeFont(void) const { return font; }

private:
  NativeFontPtr font;
};

#endif
