// Copyright (C) 2000, Luca Padovani <luca.padovani@cs.unibo.it>.
// 
// This file is part of GtkMathView, a Gtk widget for MathML.
// 
// GtkMathView is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// GtkMathView is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with GtkMathView; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// 
// For details, see the GtkMathView World-Wide-Web page,
// http://cs.unibo.it/~lpadovan/mml-widget, or send a mail to
// <luca.padovani@cs.unibo.it>

#ifndef MathMLScriptCommonElement_hh
#define MathMLScriptCommonElement_hh

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "MathMLContainerElement.hh"

class MathMLScriptCommonElement: public MathMLContainerElement {
public:
  MathMLScriptCommonElement(TagId);
  virtual const AttributeSignature* GetAttributeSignature(AttributeId) const;
  virtual void Setup(class RenderingEnvironment*);
  virtual ~MathMLScriptCommonElement();

  virtual bool IsExpanding(void) const;

protected:
  void DoLayoutAux(const BoundingBox&, const BoundingBox&, const BoundingBox&);

  MathMLElement* base;

  scaled sppex;
  scaled ruleThickness;

  scaled scriptSpacing;
  scaled scriptAxis;

  scaled subMinShift;
  scaled subShift;

  scaled superMinShift;
  scaled superShift;
};

#endif
